<template>
<div class="jarviswidget jarviswidget-color-blue" id="wid-id-1" data-widget-editbutton="false">

		<header>
			<span class="widget-icon"> <i class="fa fa-sitemap"></i> </span>
			<h2> Users </h2>

		</header>
				
		<div>
  <el-tabs v-model="activeName" @tab-click="handleClick" type="border-card">
    <el-tab-pane label="Users" name="users">
        <span slot="label"><i class="fa fa-user-secret"></i> Users</span>
        <users :users="users"></users>
    </el-tab-pane>

    <el-tab-pane label="Group" name="groups">
        <span slot="label"><i class="fa fa-users"></i> Users</span>
        Groups
    </el-tab-pane>
    <el-tab-pane label="Settings (Permisisons)" name="access">Group access</el-tab-pane>
  </el-tabs>

		</div>
</div>
</template>
<script>
import network from '../../../network'
  export default {
    created(){
        this.get_users()
    },
    data() {
      return {
        activeName: 'users',
        network : new network(),
        users:[]
      };
    },
    methods: {
      handleClick(tab, event) {
        console.log(tab, event);
      },
      get_users(){  
        this.network.make('getusers')
        .then(response => {
            if(response.data.code == 200){
                this.users = response.data.users
            }else{
            this.subTenants = [] ;
            }
        })
        .catch(e => {
            this.errors.push(e)
        })
      }
      
    }
  };
</script>